function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

var styles = {"animation-wrap":"_1I3OZ","pulse":"_2_Mn3"};

function Transition(_ref) {
  var children = _ref.children,
      _ref$duration = _ref.duration,
      duration = _ref$duration === void 0 ? 0.2 : _ref$duration,
      _ref$animation = _ref.animation,
      animation = _ref$animation === void 0 ? 'pulse' : _ref$animation,
      _ref$onPress = _ref.onPress,
      onPress = _ref$onPress === void 0 ? function () {} : _ref$onPress,
      _ref$enable = _ref.enable,
      enable = _ref$enable === void 0 ? true : _ref$enable,
      _ref$effectFirst = _ref.effectFirst,
      effectFirst = _ref$effectFirst === void 0 ? true : _ref$effectFirst;

  var _useState = React.useState(''),
      animationName = _useState[0],
      setAnimationName = _useState[1];

  var handleClick = function handleClick(e) {
    if (enable) {
      e.preventDefault();
      setAnimationName(animation);
      !effectFirst && onPress();
      setTimeout(function () {
        setAnimationName('');
        effectFirst && onPress();
      }, duration * 1000);
    }
  };

  return /*#__PURE__*/React__default.createElement("div", {
    className: styles['animation-wrap'],
    style: {
      animationDuration: duration + "s",
      animationName: styles[animationName],
      transformOrigin: '50% 50% 0'
    },
    onClick: function onClick(e) {
      return handleClick(e);
    }
  }, children);
}

var Transition$1 = React__default.memo(Transition);

var styles$1 = {"btn-wrap-level-1":"_2tVV0","active":"_2-mkg","disable":"_2rCHA","btn-wrap-level-2":"_2CtHt"};

function Button(_ref) {
  var children = _ref.children,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? '118px' : _ref$width,
      _ref$status = _ref.status,
      status = _ref$status === void 0 ? '' : _ref$status,
      _ref$level = _ref.level,
      level = _ref$level === void 0 ? 1 : _ref$level,
      _ref$onPress = _ref.onPress,
      onPress = _ref$onPress === void 0 ? function () {} : _ref$onPress;
  return /*#__PURE__*/React__default.createElement("div", {
    className: styles$1["btn-wrap-level-" + level] + " " + (status ? styles$1[status] : ''),
    style: {
      width: width
    },
    onClick: status !== 'disable' ? onPress : function () {}
  }, children);
}

var Button$1 = React__default.memo(Button);

exports.Button = Button$1;
exports.Transition = Transition$1;
//# sourceMappingURL=index.js.map
